System.register(['babel-plugin-jsx-lively', 'babel-plugin-transform-function-bind'], function (_export, _context) {
  "use strict";

  var jsx, bind;
  return {
    setters: [function (_babelPluginJsxLively) {
      jsx = _babelPluginJsxLively.default;
    }, function (_babelPluginTransformFunctionBind) {
      bind = _babelPluginTransformFunctionBind.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_babylonian_programming_editor_utils_defaults_js = _recorder_._src_babylonian_programming_editor_utils_defaults_js || {};
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'jsx', {
        get() {
          return jsx;
        },

        set(thisIsVererySecretVariableName) {
          jsx = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'bind', {
        get() {
          return bind;
        },

        set(thisIsVererySecretVariableName) {
          bind = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      const defaultExample = () => ({
        id: 0,
        name: "script",
        color: "lightgray"
      });

      _export('defaultExample', defaultExample);

      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultExample', {
        get() {
          return defaultExample;
        },

        set(thisIsVererySecretVariableName) {
          _export('defaultExample', defaultExample = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const defaultInstance = () => ({
        id: 0,
        name: { value: "", isConnected: false }
      });

      _export('defaultInstance', defaultInstance);

      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultInstance', {
        get() {
          return defaultInstance;
        },

        set(thisIsVererySecretVariableName) {
          _export('defaultInstance', defaultInstance = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const defaultBabylonConfig = () => ({
        babelrc: false,
        plugins: [jsx, bind],
        presets: [],
        filename: undefined,
        sourceFileName: undefined,
        moduleIds: false,
        sourceMaps: false,
        compact: false,
        comments: true,
        resolveModuleSource: undefined
      });

      _export('defaultBabylonConfig', defaultBabylonConfig);

      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultBabylonConfig', {
        get() {
          return defaultBabylonConfig;
        },

        set(thisIsVererySecretVariableName) {
          _export('defaultBabylonConfig', defaultBabylonConfig = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const defaultAnnotations = () => ({
        probes: [], // [Probe]
        sliders: [], // [Slider]
        examples: [], // [Example]
        replacements: [], // [Replacement]
        instances: [] // [Instance]
      });

      _export('defaultAnnotations', defaultAnnotations);

      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultAnnotations', {
        get() {
          return defaultAnnotations;
        },

        set(thisIsVererySecretVariableName) {
          _export('defaultAnnotations', defaultAnnotations = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const defaultContext = () => ({
        prescript: "",
        postscript: ""
      });

      _export('defaultContext', defaultContext);

      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultContext', {
        get() {
          return defaultContext;
        },

        set(thisIsVererySecretVariableName) {
          _export('defaultContext', defaultContext = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      let defaultConnectionsInstance = null;
      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultConnectionsInstance', {
        get() {
          return defaultConnectionsInstance;
        },

        set(thisIsVererySecretVariableName) {
          defaultConnectionsInstance = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      const defaultConnections = () => {
        if (!defaultConnectionsInstance) {
          _recorder_._src_babylonian_programming_editor_utils_defaults_js.defaultConnectionsInstance = new Proxy({}, {
            get(target, key) {
              if (key in target) {
                return target[key];
              } else {
                throw new Error(`The object referenced by "${key.split("_")[1]}" does not exist`);
              }
            }
          });
        }
        return defaultConnectionsInstance;
      };

      _export('defaultConnections', defaultConnections);

      Object.defineProperty(_recorder_._src_babylonian_programming_editor_utils_defaults_js, 'defaultConnections', {
        get() {
          return defaultConnections;
        },

        set(thisIsVererySecretVariableName) {
          _export('defaultConnections', defaultConnections = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});